Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.rsa.authagent.authapi.realmstat
Class RealmConfig

    java.lang.Object
      com.rsa.authagent.authapi.realmstat.RealmConfig

    public class RealmConfig

extends java.lang.Object

Description: Contains the configuration record generated by the ACE/Server. This is the equivalent of the sdconf.rec file.

Field Summary
`static int` | `LENACMNAME`
`static int` | `LENHOSTNAME`
`static int` | `MIN_SDCONF_LEN`
`static int` | `SDCONF_FROZEN_VERSION`
`static int` | `SDCONF_MAX_SERVERS`
`static int` | `SDCONF_SERVICE_LEN`
`static int` | `V5_SDCONF_LEN`

Constructor Summary
`RealmConfig(DataDirectory dataDirectory)` Default constructor; read the data from the sdconf resource.

Method Summary
`java.net.InetAddress[]` | `getAcm_servers()`
`int` | `getAcmbasetimeout()`
`int` | `getAcmmaxretries()`
`int` | `getAcmmaxservers()`
`int` | `getAcmport()`
`java.lang.String` | `getAcmprotocol()`
`java.lang.String` | `getAcmservice()`
`long` | `getConfigTime()` Get the current time stamp of the sdconf data resource.
`java.lang.String[]` | `getName()`
`int` | `getReplica_count()`
`long` | `getReplica_list_sernum()`
`java.net.InetAddress[]` | `getReplica_list()`
`int` | `getTrusted()`
`int` | `getUse_des()`
`byte` | `getVersion_extended()`
`int` | `getVersion()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LENHOSTNAME

    public static final int LENHOSTNAME

See Also:
  Constant Field Values

### LENACMNAME

    public static final int LENACMNAME

See Also:
  Constant Field Values

### SDCONF_SERVICE_LEN

    public static final int SDCONF_SERVICE_LEN

See Also:
  Constant Field Values

### SDCONF_MAX_SERVERS

    public static final int SDCONF_MAX_SERVERS

See Also:
  Constant Field Values

### MIN_SDCONF_LEN

    public static final int MIN_SDCONF_LEN

See Also:
  Constant Field Values

### V5_SDCONF_LEN

    public static final int V5_SDCONF_LEN

See Also:
  Constant Field Values

### SDCONF_FROZEN_VERSION

    public static final int SDCONF_FROZEN_VERSION

See Also:
  Constant Field Values

Constructor Detail

### RealmConfig

    public RealmConfig(DataDirectory dataDirectory)

  Default constructor; read the data from the sdconf resource.

Method Detail

### getConfigTime

    public long getConfigTime()

  Get the current time stamp of the sdconf data resource.

  Returns:
    the time in seconds since 1970.

### getAcm_servers

    public java.net.InetAddress[] getAcm_servers()

  Returns:
    Returns the acm_servers.

### getAcmbasetimeout

    public int getAcmbasetimeout()

  Returns:
    Returns the acmbasetimeout.

### getAcmmaxretries

    public int getAcmmaxretries()

  Returns:
    Returns the acmmaxretries.

### getAcmmaxservers

    public int getAcmmaxservers()

  Returns:
    Returns the acmmaxservers.

### getAcmport

    public int getAcmport()

  Returns:
    Returns the acmport.

### getAcmprotocol

    public java.lang.String getAcmprotocol()

  Returns:
    Returns the acmprotocol.

### getAcmservice

    public java.lang.String getAcmservice()

  Returns:
    Returns the acmservice.

### getName

    public java.lang.String[] getName()

  Returns:
    Returns the name.

### getReplica_count

    public int getReplica_count()

  Returns:
    Returns the replica_count.

### getReplica_list

    public java.net.InetAddress[] getReplica_list()

  Returns:
    Returns the replica_list.

### getReplica_list_sernum

    public long getReplica_list_sernum()

  Returns:
    Returns the replica_list_sernum.

### getTrusted

    public int getTrusted()

  Returns:
    Returns the trusted.

### getUse_des

    public int getUse_des()

  Returns:
    Returns the use_des.

### getVersion

    public int getVersion()

  Returns:
    Returns the version.

### getVersion_extended

    public byte getVersion_extended()

  Returns:
    Returns the version_extended.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Authentication API v8.1 SP2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999 - 2011 EMC Corporation. All Rights Reserved.